--
-- Configurao para o interceptador de requisies ao servio de acesso
--
local DATA_DIR = os.getenv("OPENBUS_DATADIR")
local config = 
  assert(loadfile(DATA_DIR.."/conf/advanced/InterceptorsConfiguration.lua"))()

-- Acrescenta informao sobre as operaces a serem liberadas
config.interfaces = {
  {
    interface = "IDL:openbusidl/acs/IAccessControlService:1.0",
    excluded_ops = {"loginByPassword", "loginByCertificate", "getChallenge"}
  },
}

return config
